Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::take_while_fn Struct Reference

## Synopsis of methods
constexpr take_while_fn | take_while {}

## Public Member Functions
template<typename Fun >
constexpr auto | operator() (Fun fun) const
template<typename Rng , typename Fun >
Rng | operator() (Rng &&rng, Fun fun) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Fun >

constexpr auto ranges::actions::take_while_fn::operator() | ( | Fun | fun | ) | const
| constexpr

Precondition
  requires `(!range<Fun>)`

## ◆ operator()() [2/2]

template<typename Rng , typename Fun >

Rng ranges::actions::take_while_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const

Precondition
  requires `forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, sentinel_t<Rng>> && indirect_unary_predicate<Fun, iterator_t<Rng>>`